Subject: bug#12463: 24.2; pos-visible-in-window-p gets slower over time

From: Juanma Barranquero <[email-masked]>
Date: Fri, 21 Sep 2012 11:10:57 +0200

On Fri, Sep 21, 2012 at 7:42 AM, Chong Yidong <[email-masked]> wrote:

> ***************
> *** 3059,3064 ****
> --- 3052,3062 ----
>     xpm_image_p,
>     xpm_load,
>     x_clear_image,
> + #ifdef HAVE_NTGUI
> +   init_xpm_functions,
> + #else
> +   NULL,
> + #endif
>     NULL
>   };
> ***************

Additionally to Eli's comments, the functions init_*_functions are
defined after being used to initialize the struct, so it fails:

image.c:3056:3: error: 'init_xpm_functions' undeclared here (not in a function)
image.c:5398:3: error: 'init_png_functions' undeclared here (not in a function)
image.c:6055:3: error: 'init_jpeg_functions' undeclared here (not in a function)
image.c:6645:3: error: 'init_tiff_functions' undeclared here (not in a function)
image.c:7098:3: error: 'init_gif_functions' undeclared here (not in a function)

You'll have to move them around.

    Juanma